Bug 1286616 - [abrt] blivet-gui: AttributeError: 'BIOSBoot' object has no attribute 'updateSizeInfo'
[abrt] blivet-gui: AttributeError: 'BIOSBoot' object has no attribute 'update...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blivet-gui (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vojtech Trefny
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:dc4128c4283cf6b5d5ad934cb33...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 05:45 EST by Davide Repetto
Modified: 2016-01-14 03:55 EST (History)
2 users (show)

See Also:
Fixed In Version: blivet-gui-1.0.3-1 blivet-gui-1.0.3-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 03:55:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (844 bytes, text/plain)
2015-11-30 05:45 EST, Davide Repetto
no flags Details
File: blivet-gui-com.log (274.16 KB, text/plain)
2015-11-30 05:45 EST, Davide Repetto
no flags Details
File: blivet-gui-tb (501.96 KB, text/plain)
2015-11-30 05:45 EST, Davide Repetto
no flags Details
File: blivet.log (184.47 KB, text/plain)
2015-11-30 05:45 EST, Davide Repetto
no flags Details
File: description (931 bytes, text/plain)
2015-11-30 05:45 EST, Davide Repetto
no flags Details
File: program.log (43.05 KB, text/plain)
2015-11-30 05:45 EST, Davide Repetto
no flags Details
File: environ (4.23 KB, application/octet-stream)
2015-11-30 05:45 EST, Davide Repetto
no flags Details

  None (edit)
Description Davide Repetto 2015-11-30 05:45:08 EST
Description of problem:
I cclicked on "Edit Device" on blivet-gui and got this error.

Version-Release number of selected component:
blivet-gui-1.0.2-1.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
blivet-gui.log: 
cmdline:        /usr/bin/python3  /usr/bin/blivet-gui
executable:     /usr/bin/blivet-gui
hashmarkername: blivet-gui
kernel:         4.2.6-301.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           Python
version:        23

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/blivetgui/blivetgui.py", line 294, in edit_device
    self.client.remote_call("device_resizable", device),
  File "/usr/lib/python3.4/site-packages/blivetgui/communication/client.py", line 159, in remote_call
    raise type(ret.exception)(str(ret.exception) + "\n" + ret.traceback) # pylint: disable=maybe-no-member
AttributeError: 'BIOSBoot' object has no attribute 'updateSizeInfo'
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/blivetgui/communication/server.py", line 340, in _call_utils_method
    ret = utils_method(*args)
  File "/usr/lib/python3.4/site-packages/blivetgui/blivet_utils.py", line 639, in device_resizable
    blivet_device.format.updateSizeInfo()
AttributeError: 'BIOSBoot' object has no attribute 'updateSizeInfo'
Comment 1 Davide Repetto 2015-11-30 05:45:13 EST
Created attachment 1100452 [details]
File: backtrace
Comment 2 Davide Repetto 2015-11-30 05:45:21 EST
Created attachment 1100453 [details]
File: blivet-gui-com.log
Comment 3 Davide Repetto 2015-11-30 05:45:35 EST
Created attachment 1100454 [details]
File: blivet-gui-tb
Comment 4 Davide Repetto 2015-11-30 05:45:41 EST
Created attachment 1100455 [details]
File: blivet.log
Comment 5 Davide Repetto 2015-11-30 05:45:42 EST
Created attachment 1100456 [details]
File: description
Comment 6 Davide Repetto 2015-11-30 05:45:45 EST
Created attachment 1100457 [details]
File: program.log
Comment 7 Davide Repetto 2015-11-30 05:45:46 EST
Created attachment 1100458 [details]
File: environ
Comment 8 Fedora Update System 2016-01-04 03:14:04 EST
blivet-gui-1.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a9237c084
Comment 9 Fedora Update System 2016-01-04 15:53:29 EST
blivet-gui-1.0.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a9237c084
Comment 10 Fedora Update System 2016-01-14 03:54:59 EST
blivet-gui-1.0.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.